Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.ooxml
Class XlsxStyleHelper

    java.lang.Object
      net.sf.jasperreports.engine.export.ooxml.BaseHelper
          net.sf.jasperreports.engine.export.ooxml.XlsxStyleHelper

    public class XlsxStyleHelper

extends BaseHelper

Version:
  $Id: ReportStyleHelper.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary

Fields inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper
`writer`

Constructor Summary
`XlsxStyleHelper(java.io.Writer writer, java.util.Map fontMap, java.lang.String exporterKey, boolean isWhitePageBackground, boolean isIgnoreCellBorder, boolean isIgnoreCellBackground, boolean isFontSizeFixEnabled)`

Method Summary
`void` | `export()`
`int` | `getCellStyle(JRExporterGridCell gridCell, java.lang.String pattern, java.util.Locale locale, boolean isWrapText, boolean isHidden, boolean isLocked)`

Methods inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper
`close, flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XlsxStyleHelper

    public XlsxStyleHelper(java.io.Writer writer,
                           java.util.Map fontMap,
                           java.lang.String exporterKey,
                           boolean isWhitePageBackground,
                           boolean isIgnoreCellBorder,
                           boolean isIgnoreCellBackground,
                           boolean isFontSizeFixEnabled)

Method Detail

### getCellStyle

    public int getCellStyle(JRExporterGridCell gridCell,
                            java.lang.String pattern,
                            java.util.Locale locale,
                            boolean isWrapText,
                            boolean isHidden,
                            boolean isLocked)

### export

    public void export()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com